#!/usr/bin/env python

from dmObject import DmObject

class AuthorizationPrincipal(DmObject):

    def __init__(self, dict={}, name=None, token=None, userInfo={}):
        DmObject.__init__(self, dict)
        if name is not None:
            self['name'] = name
        if token is not None:
            self['token'] = token
        if userInfo is not None and len(userInfo):
            self['userInfo'] = userInfo

    def getName(self):
        return self.get('name')

    def getAuthenticationToken(self):
        return self.get('token')

    def getToken(self):
        return self.get('token')

    def setRole(self, role):
        self['role'] = role

    def getRole(self):
        return self.get('role')

    def setUserInfo(self, userInfo):
        self['userInfo'] = userInfo

    def getUserInfo(self):
        return self.get('userInfo')
